This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305946 - Do not require valgrind on MIPS
Do not require valgrind on MIPS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libibverbs (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2016-02-09 11:25 EST by Michal Toman
Modified: 2016-04-13 03:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: libibverbs-1.2.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 05:37:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disable-valgrind-on-MIPS.patch (1.52 KB, patch)
2016-02-09 11:25 EST, Michal Toman
no flags Details | Diff

  None (edit)
Description Michal Toman 2016-02-09 11:25:10 EST
Created attachment 1122446 [details]
Disable-valgrind-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires updating libibverbs specfile not to require valgrind. At this momenr valgrind does not work properly with the ABIs we are building. We can reenable the dependency once a working valgrind package is built.

Actual results:
libibverbs requires valgrind-devel on MIPS

Expected results:
libibverbs does not require valgrind-devel on MIPS

Additional info:
Attaching dist-git patch
Comment 1 Jan Kurik 2016-02-24 09:27:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-04-08 01:16:52 EDT
opensm-3.3.19-1.fc23 libibumad-1.3.10.2-1.fc23 libibmad-1.3.12-1.fc23 libcxgb3-1.3.1-12.fc23 libibverbs-1.2.0-1.fc23 ibutils-1.5.7-20.fc23 infiniband-diags-1.6.6-1.fc23 librdmacm-1.0.21-1.fc23 perftest-3.0-1.fc23 libcxgb4-1.3.6-1.fc23 libibcm-1.0.5-14.fc23 qperf-0.4.9-7.fc23 libmthca-1.0.6-14.fc23 srptools-1.0.3-1.fc23 libipathverbs-1.3-1.fc23 libnes-1.1.4-6.fc23 libmlx4-1.0.6-5.fc23 rdma-2.0-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cce47c2fc2
Comment 3 Fedora Update System 2016-04-08 01:17:41 EDT
opensm-3.3.19-1.fc24 libibumad-1.3.10.2-1.fc24 libibmad-1.3.12-1.fc24 libcxgb3-1.3.1-12.fc24 ibutils-1.5.7-21.fc24 infiniband-diags-1.6.6-1.fc24 librdmacm-1.0.21-1.fc24 perftest-3.0-1.fc24 libcxgb4-1.3.6-1.fc24 libibcm-1.0.5-14.fc24 qperf-0.4.9-7.fc24 libmthca-1.0.6-14.fc24 srptools-1.0.3-1.fc24 libipathverbs-1.3-1.fc24 libnes-1.1.4-6.fc24 libmlx4-1.0.6-5.fc24 rdma-2.0-21.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9996eec548
Comment 4 Fedora Update System 2016-04-08 12:51:56 EDT
ibutils-1.5.7-21.fc24, infiniband-diags-1.6.6-1.fc24, libcxgb3-1.3.1-12.fc24, libcxgb4-1.3.6-1.fc24, libibcm-1.0.5-14.fc24, libibmad-1.3.12-1.fc24, libibumad-1.3.10.2-1.fc24, libipathverbs-1.3-1.fc24, libmlx4-1.0.6-5.fc24, libmthca-1.0.6-14.fc24, libnes-1.1.4-6.fc24, librdmacm-1.0.21-1.fc24, opensm-3.3.19-1.fc24, perftest-3.0-1.fc24, qperf-0.4.9-7.fc24, rdma-2.0-21.fc24, srptools-1.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9996eec548
Comment 5 Fedora Update System 2016-04-08 16:50:22 EDT
ibutils-1.5.7-20.fc23, infiniband-diags-1.6.6-1.fc23, libcxgb3-1.3.1-12.fc23, libcxgb4-1.3.6-1.fc23, libibcm-1.0.5-14.fc23, libibmad-1.3.12-1.fc23, libibumad-1.3.10.2-1.fc23, libibverbs-1.2.0-1.fc23, libipathverbs-1.3-1.fc23, libmlx4-1.0.6-5.fc23, libmthca-1.0.6-14.fc23, libnes-1.1.4-6.fc23, librdmacm-1.0.21-1.fc23, opensm-3.3.19-1.fc23, perftest-3.0-1.fc23, qperf-0.4.9-7.fc23, rdma-2.0-21.fc23, srptools-1.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cce47c2fc2
Comment 6 Fedora Update System 2016-04-12 05:37:15 EDT
ibutils-1.5.7-21.fc24, infiniband-diags-1.6.6-1.fc24, libcxgb3-1.3.1-12.fc24, libcxgb4-1.3.6-1.fc24, libibcm-1.0.5-14.fc24, libibmad-1.3.12-1.fc24, libibumad-1.3.10.2-1.fc24, libipathverbs-1.3-1.fc24, libmlx4-1.0.6-5.fc24, libmthca-1.0.6-14.fc24, libnes-1.1.4-6.fc24, librdmacm-1.0.21-1.fc24, opensm-3.3.19-1.fc24, perftest-3.0-1.fc24, qperf-0.4.9-7.fc24, rdma-2.0-21.fc24, srptools-1.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-04-13 03:20:07 EDT
ibutils-1.5.7-20.fc23, infiniband-diags-1.6.6-1.fc23, libcxgb3-1.3.1-12.fc23, libcxgb4-1.3.6-1.fc23, libibcm-1.0.5-14.fc23, libibmad-1.3.12-1.fc23, libibumad-1.3.10.2-1.fc23, libibverbs-1.2.0-1.fc23, libipathverbs-1.3-1.fc23, libmlx4-1.0.6-5.fc23, libmthca-1.0.6-14.fc23, libnes-1.1.4-6.fc23, librdmacm-1.0.21-1.fc23, opensm-3.3.19-1.fc23, perftest-3.0-1.fc23, qperf-0.4.9-7.fc23, rdma-2.0-21.fc23, srptools-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.